
From: blaisorblade_spam@yahoo.it

Avoid forcing use of the no-op scheduler for UBD; this may uncover some
bugs in the UBD driver, and in fact uml-ubd-no-empty-queue.patch is needed
to make this sure.  But as of now, no other bugs have been discovered, so
this should be safe.

Signed-off-by: Paolo 'Blaisorblade' Giarrusso <blaisorblade_spam@yahoo.it>
Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 25-akpm/arch/um/drivers/ubd_kern.c |    2 --
 1 files changed, 2 deletions(-)

diff -puN arch/um/drivers/ubd_kern.c~uml-avoid-forcing-use-of-the-no-op-scheduler arch/um/drivers/ubd_kern.c
--- 25/arch/um/drivers/ubd_kern.c~uml-avoid-forcing-use-of-the-no-op-scheduler	2004-09-06 14:20:41.173917088 -0700
+++ 25-akpm/arch/um/drivers/ubd_kern.c	2004-09-06 14:20:41.177916480 -0700
@@ -749,8 +749,6 @@ int ubd_init(void)
 		return -1;
 	}
 		
-	elevator_init(ubd_queue, &elevator_noop);
-
 	if (fake_major != MAJOR_NR) {
 		char name[sizeof("ubd_nnn\0")];
 
_
